import request from '@/utils/request'

//获取任务详情
export function taskDetail(data) {
  return request({
    url: '/task/getInfo',
    method: 'post',
    data
  })
}
//体系审查获取任务详情
export function reviewTaskDetail(data) {
  return request({
    url: '/system/review/task/getById',
    method: 'post',
    data
  })
}

//确认细则变更
export function reviewDetailsConfirm(data) {
  return request({
    url: '/review/task/inbox/confirm',
    method: 'post',
    data
  })
}
/**
 * 细则提交
 * @param {*} data
 * @returns
 */

export function reviewDetailsSubmit(data) {
  return request({
    url: '/review/details/result/save',
    method: 'post',
    data
  })
}
// 提交体系审查问卷
export function taskSubmit(data) {
  return request({
    url: '/system/review/task/submit',
    method: 'post',
    data
  })
}
// 提交车型审查问卷
export function carTaskSubmit(data) {
  return request({
    url: '/car/review/task/submitReview',
    method: 'post',
    data
  })
}
// 启动子任务
export function startReview(data) {
  return request({
    url: '/task/startTask',
    method: 'post',
    data
  })
}
// 提交车辆问卷审查任务
export function submitReview(data) {
  return request({
    url: '/car/review/task/submitReview',
    method: 'post',
    data
  })
}

// 查看车辆问卷审查任务详情
export function checkTaskDetail(data) {
  return request({
    url: '/car/review/task/getById',
    method: 'post',
    data
  })
}
/**
 * 确认体系审查
 * @param {*} data
 * @returns
 */
export function reviewTaskConfirm(data) {
  return request({
    url: '/system/review/task/confirm',
    method: 'post',
    data
  })
}
/**
 *  开始子任务
 * @param {*} data
 * @returns
 */
export function reviewTaskStart(data) {
  return request({
    url: '/task/startTask',
    method: 'post',
    data
  })
}
/**
 *  开始车辆审查
 * @param {*} data
 * @returns
 */
export function reviewCarTaskStart(data) {
  return request({
    url: '/car/review/task/startReview',
    method: 'post',
    data
  })
}

/**
 * 确认车辆审查
 * @param {*} data
 * @returns
 */
export function carReviewTaskConfirm(data) {
  return request({
    url: '/car/review/task/confirmReview',
    method: 'post',
    data
  })
}
/// 任务创建
export function createTask(data) {
  return request({
    url: '/task/add',
    method: 'post',
    data
  })
}

// 任务编辑
export function updateTask(data) {
  return request({
    url: '/task/edit',
    method: 'post',
    data
  })
}

// 任务暂存编辑
export function editTemporaryStorage(data) {
  return request({
    url: '/task/editTemporaryStorage',
    method: 'post',
    data
  })
}

/// 任务删除
export function removeTask(data) {
  return request({
    url: '/task/remove',
    method: 'post',
    data
  })
}

// 查询任务详情
export function getTaskById(data) {
  return request({
    url: '/task/getById',
    method: 'post',
    data
  })
}

// 暂存任务
export function temporaryTask(data) {
  return request({
    url: '/task/temporaryStorage',
    method: 'post',
    data
  })
}

export function getTemporaryStorage(data) {
  return request({
    url: '/task/getTemporaryStorage',
    method: 'post',
    data
  })
}
// 通过子任务id查询任务详情
export function getBySubtaskId(data) {
  return request({
    url: '/task/getBySubtaskId',
    method: 'post',
    data
  })
}
/**
 * 下载pdf
 */
export function pdfDownload(data) {
  return request({
    url: '/pdf/download',
    method: 'post',
    data
  })
}
/**
 *获取车型实验任务下的测试用例
 */
export function geTaskCase(data) {
  return request({
    url: '/system/testCase/getCaseIdList',
    method: 'post',
    data
  })
}

/**
 *提交确认表单
 */
export function taskImageSubmit(data) {
  return request({
    url: '/car/test/task/submit',
    method: 'post',
    data
  })
}

/**
 * 获取试验场景
 * @param {*} data
 * @returns
 */
export function getScenarioList(data) {
  return request({
    url: '/system/scenario/getScenarioList',
    method: 'post',
    data
  })
}

/**
 * 获取试验场景下的测试用例
 * @param {*} data
 * @returns
 */
export function getCaseByScenario(data) {
  return request({
    url: '/system/testCase/getCaseByScenario',
    method: 'post',
    data
  })
}
/**
 * 创建项目
 * @param {} data
 * @returns
 */
export function createProject(data) {
  return request({
    url: '/task/createProject',
    method: 'post',
    data
  })
}
/**
 * 根据场景获取用例
 * @param {} data
 * @returns
 */
export function getUseCaseListByScenario(data) {
  return request({
    url: '/system/testCase/getUseCaseListByScenario',
    method: 'post',
    data
  })
}
export function getInspection() {
  return request({
    url: '/system/user/getInspection',
    method: 'post'
  })
}

/**
 * 提交场景
 * @param {} data
 * @returns
 */
export function submitScenarios(data) {
  return request({
    url: '/review/scene/change/task/add',
    method: 'post',
    data: data
  })
}

/**
 * 根据细则id获取场景
 * @param {} data
 * @returns
 */
export function getScenarios(data) {
  return request({
    url: '/review/scene/findSceneList',
    method: 'post',
    data: data
  })
}
/**
 *下载附件 
 * @param {} data 
 * @returns 
 */
export function getAttachment(data) {
  return request({
    url: '/pdf/downloadFile',
    method: 'post',
    data: data,
    responseType:'blob'  
  })
}
