import request from '@/utils/request'

export function testDetail(data) {
  return request({
    url: '/car/test/task/getById',
    method: 'post',
    data
  })
}

export function testConfirm(data) {
  return request({
    url: '/car/test/task/confirm',
    method: 'post',
    data
  })
}

export function listTest(query) {
  return request({
      url: '/review/scene/change/task/findCreate',
      method: 'post',
      headers:{
          'Content-Type': 'application/json',
      },
      
      data: query
  })
}
// 我发起的评审界面
export function testInitatereview(query) {
  return request({
      url: '/standard/findStandardList',
      method: 'post',
      headers:{
          'Content-Type': 'application/json',
      },
      data: query
  })
}
// 发起评审页面 标准要求分类下拉框点击选择后 再点击选择标准要求按钮 调用接口 查询标准要求

export function testType(query) {
  return request({
      url: '/review/standard/list',
      method: 'post',
      headers:{
          'Content-Type': 'application/json',
      },
      data: query
  })
}
// 发起评审页面 用例查标准
export function testTypeUse(query) {
  return request({
      url: '/system/testCase/getStandardList',
      method: 'post',
      headers:{
          'Content-Type': 'application/json',
      },
      data: query
  })
}
// 发起评审页面 点击选择审查要点按钮后 调用接口 查询审查要点
export function testKeypoint(query) {
  return request({
      url: '/review/scene/change/task/getKeyPointList',
      method: 'post',
      headers:{
          'Content-Type': 'application/json',
      },
      data: query
  })
}

// 发起评审页面 点击选择审查细则按钮后 调用接口 查询审查细则
export function testDetails(query) {
  return request({
      url: '/review/scene/change/task/getDetailsList',
      method: 'post',
      headers:{
          'Content-Type': 'application/json',
      },
      data: query
  })
}
// 发起评审界面 点击发布按钮 发起评审
export function testInitatereviewAdd(query) {
  return request({
      url: '/review/scene/change/task/add',
      method: 'post',
      headers:{
          'Content-Type': 'application/json',
      },
      data: query
  })
}

// 发起评审页面 查询评审人员 不需要参数
export function testReviewer() {
  return request({
      url: '/review/scene/change/task/getReviewerList',
      method: 'post',
      headers:{
          'Content-Type': 'application/json',
      },
      data: {}
  })
}
// 查看评审页面  查询评审意见
export function testOpinion(query) {
  return request({
      url: '/review/scene/change/task/getReviewerOpinion',
      method: 'post',
      headers:{
          'Content-Type': 'application/json',
      },
      data: query
  })
}
// 发起评审页面 查询测试用例
export function testUseCase() {
  return request({
      url: '/review/scene/change/task/getUseCaseList',
      method: 'post',
      headers:{
          'Content-Type': 'application/json',
      },
      data: {}
  })
}
// 发起评审页面 获取要点列表
export function testKeypointListAll(query) {
  return request({
      url: '/review/scene/change/task/getKeypointListAll',
      method: 'post',
      headers:{
          'Content-Type': 'application/json',
      },
      data: query
  })
}
// 发起评审页面 获取细则列表
export function testDetailsListAll(query) {
  return request({
      url: '/review/scene/change/task/getDetailsListAll',
      method: 'post',
      headers:{
          'Content-Type': 'application/json',
      },
      data: query
  })
}
// 发起评审页面 获取场景列表
export function testScene(query) {
  return request({
      url: '/review/scene/change/task/getSceneListAll',
      method: 'post',
      headers:{
          'Content-Type': 'application/json',
      },
      data: query
  })
}
// 发起评审页面 获取用例列表
export function testUseCaseListAll(query) {
  return request({
      url: '/review/scene/change/task/getUseCaseListAll',
      method: 'post',
      headers:{
          'Content-Type': 'application/json',
      },
      data: query
  })
}
